org.eclipse.cdt.core.resources

## Class EFSFileStorage

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.cdt.core.resources.EFSFileStorage

All Implemented Interfaces:
  org.eclipse.core.resources.IStorage, org.eclipse.core.runtime.IAdaptable

    public class EFSFileStorage
    extends org.eclipse.core.runtime.PlatformObject
    implements org.eclipse.core.resources.IStorage

A storage object which is backed by an EFS resource.

Since:
  5.0

### Constructor Summary

Constructors
Constructor and Description
`EFSFileStorage(URI locationURI)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`InputStream` `getContents()`
`org.eclipse.core.runtime.IPath` `getFullPath()`
`URI` `getLocationURI()` Returns the location URI corresponding to the EFS resource that backs this storage.
`String` `getName()`
`boolean` `isReadOnly()`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### EFSFileStorage

    public EFSFileStorage(URI locationURI)

### Method Detail

#### getContents

    public InputStream getContents()
                            throws org.eclipse.core.runtime.CoreException

Specified by:
  `getContents` in interface `org.eclipse.core.resources.IStorage`
Throws:
  `org.eclipse.core.runtime.CoreException`

#### getFullPath

    public org.eclipse.core.runtime.IPath getFullPath()

Specified by:
  `getFullPath` in interface `org.eclipse.core.resources.IStorage`

#### getName

    public String getName()

Specified by:
  `getName` in interface `org.eclipse.core.resources.IStorage`

#### isReadOnly

    public boolean isReadOnly()

Specified by:
  `isReadOnly` in interface `org.eclipse.core.resources.IStorage`

#### getLocationURI

    public URI getLocationURI()

Returns the location URI corresponding to the EFS resource that backs this storage.

Returns:
  URI

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`